#include <bits/stdc++.h>
using namespace std;

int t, n;
long long a[30005], b[30005];
bool prekinut;

int main()
{
   scanf("%d", &t);
   for(int i = 1; i <= t; i++)
   {
      memset(a, 0, sizeof(a));
      memset(b, 0, sizeof(b));
      scanf("%d", &n);
      for(int j = 1; j <= n; j++)
      {
         scanf("%lld", &a[j]);
      }
      for(int j = 1; j <= n; j++)
      {
         scanf("%lld", &b[j]);
      }

      for(int j = 1; j <= n; j++)
      {
         for(int k = 1; k <= n; k++)
         {
            if((a[j]*(-1) == b[k] && ((k-j)%2 == 0)) || (a[j] == b[k] && ((k-j)%2 == 1)))
            {
               prekinut = true;
            }
         }
      }
      if(prekinut)
         printf("NE\n");
      else
         printf("DA\n");
      prekinut = false;
   }

   return 0;
}